<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<!DOCTYPE MAN SYSTEM "file://../manrev.dtd">
<MAN>
  <LANGUAGE>eng</LANGUAGE>
  <TITLE>requireRange</TITLE>
  <TYPE>Scilab Function  </TYPE>
  <DATE>21-Aug-2006</DATE>
  <SHORT_DESCRIPTION name="lrpPlot2D">  plots the LRP responses</SHORT_DESCRIPTION>

  <CALLING_SEQUENCE>
  <CALLING_SEQUENCE_ITEM>lrpPlotOptions2D = lrpPlot2D(lrp,lrpPlotOptions)</CALLING_SEQUENCE_ITEM>
  </CALLING_SEQUENCE>

  <PARAM>
  <PARAM_INDENT>

    <PARAM_ITEM>
    <PARAM_NAME>lrpPlotOptions2D</PARAM_NAME>
    <PARAM_DESCRIPTION>
       <SP>
       : an lrpPlotOptions2D structure with default parameters
       </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

  </PARAM_INDENT>
  </PARAM>
  <DESCRIPTION>
     <DESCRIPTION_INDENT>
     <DESCRIPTION_ITEM>
     <P>
      This helper function returns an lrpPlotOptions2D structure with default parameters.
      It is used to simplify a call to the <LINK> lrpPlot2D</LINK> function.
      Most often it is used as follows</P>
      <ITEMIZE label="useage">
         <ITEM label="lrpPlotOptions2D = createPlotOptions2DStub;"> <PP>This will create an lrpPlotOptions structure</PP></ITEM>
         <ITEM label="lrpPlotOptions2D.property=value; etc."> <PP>We owerride the defaults</PP></ITEM>
         <ITEM label="plot(data,lrpPlotOptions);"> <PP>We plot the data</PP></ITEM>
      </ITEMIZE>
      </DESCRIPTION_ITEM>
      </DESCRIPTION_INDENT>
  </DESCRIPTION>
<SECTION label="Example">
<!-- ======================================================================= -->
    <P><BD>
        Example 1.
    </BD></P><P>
    A working example illustrating the most common use of the createPlotOptions2DStub function
    </P><VERBATIM>

      data=rand(10,1); // Some random data for plotting
      otherData=rand(10,1); // Other data
      lrpPlotOptions2D = createPlotOptions2DStub;
      lrpPlotOptions2D.thickness=10;
      lrpPlotOptions2D.foreground="red";
      plot(data,lrpPlotOptions); // Now we can plot
      plot(otherData,lrpPlotOptions); // Now we can plot
    </VERBATIM>
    <P><EM> Result: </EM>
       A plot of the data in red, using a very thick line
       Note that you can have multiple plots sharing the same lrpPlotOptions
    </P>
</SECTION>
  <SECTION label="Related functions">
  <ITEMIZE label="Related functions list">
    <ITEM label="lrpPlot2D"> <PP> - the <LINK> requireType</LINK> function is used
          when you need to enforce a variable to be of particular type</PP></ITEM>
    <ITEM label="GlobalProperty"> <PP> - This help file shows all properties that you can use</PP></ITEM>
    <ITEM label="color_list"> <PP> - This help file shows names of all the colors you can use</PP></ITEM>
  </ITEMIZE>
  </SECTION>
  <SEE_ALSO>
    <SEE_ALSO_ITEM> <LINK> GlobalProperty</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> color_list</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> lrpPlot2D</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> plot</LINK> </SEE_ALSO_ITEM>
  </SEE_ALSO>

  <AUTHORS>
    <AUTHORS_ITEM label='Lukasz Hladowski'>
    ISSI, UZ, Poland, e-mail: l.hladowski@issi.uz.zgora.pl
    </AUTHORS_ITEM>
  </AUTHORS>
</MAN>
